<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	

	<!-- bootstrap CSS -->
    <link rel="stylesheet" 
    href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/css/bootstrap.min.css" 
    integrity="sha384-zCbKRCUGaJDkqS1kPbPd7TveP5iyJE0EjAuZQTgFLD2ylzuqKfdKlfG/eSrtxUkn" 
    crossorigin="anonymous">

    <!-- external CSS -->
    <link rel="stylesheet" href="./index.css">

    <title>Bootstrap Components</title>
</head>
<body>
	<!-- navbar -->
	<div class="navbar navbar-expand-md navbar-light bg-muted">
		<a class="navbar-brand" href="#">NavBar</a>
		<!-- <div>
			<img id="icon" src="./images/bigmac.jpg" alt="icon">
		</div> -->
		<button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#myNavbarMenu" aria-controls="myNavbarMenu" aria-expanded="false" aria-label="Toggle navigation">
		
			<span class="navbar-toggler-icon"></span>
			
		</button>
		<div class="collapse navbar-collapse" id="myNavbarMenu">
			<ul class="navbar-nav mr-auto">
				<li class="nav-item active"><a class="nav-link" href="#">Home</a></li>
				<li class="nav-item"><a class="nav-link" href="#">Hobbies</a></li>
				<li class="nav-item"><a class="nav-link" href="#">Contact me</a></li>
			</ul>
		</div>
	</div>

	<!-- main content -->
	<div class="container">
		<div id="landing-page" class="jumbotron d-flex flex-column justify-content-center align-items-center text-white text-center text-md-left">
			<h1 class="display-4 align-middle">Welcome to our Page!</h1>
			<h3>These are samples of Bootstrap Components</h3>
			<!-- <p class="lead align-middle m-5">
				Lorem, ipsum dolor sit, amet consectetur adipisicing elit. Error voluptates, quaerat itaque, provident earum eum minus est officia repellendus veniam.
			</p> -->
		</div>
		<!-- end of jumbotron -->

		<div class="row">
			<div class="col-md-6 my-4">
				<h2>Find Us!</h2>
				<iframe id="gmap-canvas" 
					src="https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d289198.921793772!2d123.34614746750277!3d13.288507702475346!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x33a1a9942f290b05%3A0xf7861e637e58d97a!2sMayon%20Volcano%20Natural%20Park!5e0!3m2!1sen!2sph!4v1645688893603!5m2!1sen!2sph" 
					width="600" 
					height="450" 
					style="border:0;" 
					allowfullscreen="" 
					loading="lazy">
				</iframe>
			</div>
			<div class="col-md-6 my-4">
				<h2>Contact Me!</h2>
				<form>
					<div class="form-group">
						<label for="txt-email">Email</label>
						<input id="txt-email" class="form-control" type="email" name="email" placeholder="name@example.com">
					</div>
					<div class="form-group">
						<label for="txt-select">Example Select:</label>
						<select id="txt-select" class="form-control" name="sampleSelect">
							<option>1</option>
							<option>2</option>
							<option>4</option>
							<option>4</option>
						</select>
					</div>
					<div class="form-group">
						<label for="txt-message">Messages:</label>
						<textarea id="txt-message" class="form-control" rows="3">
							
						</textarea>
					</div>
					<button class="btn btn-outline-primary" type="submit">Submit</button>
					<button class="btn btn-outline-danger" type="reset">Reset</button>
				</form>
			</div>
			<!-- carousel -->
			<div class="row mt-5 d-none d-md-block">
				<div class="col-md-6 mx-auto">
					<div id="carouselExampleCaptions" class="carousel site" data-ride="carousel">
						<ol class="carousel-indicators">
							<li data-target="#carouselExampleCaptions" data-slide-to="0" class="active"></li>
							<li data-target="#carouselExampleCaptions" data-slide-to="1"></li>
							<li data-target="#carouselExampleCaptions" data-slide-to="2"></li>
							<li data-target="#carouselExampleCaptions" data-slide-to="3"></li>
						</ol>
						<div class="carousel-inner">
							<div class="carousel-item active">
								<img class="d-block w-100" src="./images/big-tasty.jpg" alt="burger1">
								<div class="carousel-caption d-none d-md-block">
									<h5>Big and Tasty</h5>
									<p>Some representative placeholder content for the first slide</p>
								</div>
							</div>
							<!-- first image slide -->
							<div class="carousel-item">
								<img class="d-block w-100" src="./images/bigmac.jpg" alt="burger2">
								<div class="carousel-caption d-none d-md-block">
									<h5>Big Mac</h5>
									<p>Some representative placeholder content for the first slide</p>
								</div>
							</div>
							<!-- second image slide -->
							<!-- Mini-Activity
								Add two images for the carousel
								Set the height and width of the image

								paste your output at the hangouts

								w-100 -> 100% width
								h-25 -> 25% height

								CSS
									width: 200px;

								<div style="height: 500px;">
									<div class="h-100 w-100"></div>
									<img class="mw-100" alt="max-width: 100%;"
								</div>
								


							 -->
							 <div class="carousel-item">
								<img class="d-block w-100" src="./images/burger.jpg" alt="burger3">
								<div class="carousel-caption d-none d-md-block">
									<h5>Burger</h5>
									<p>Some representative placeholder content for the first slide</p>
								</div>
							</div>
							<!-- third image slide -->
							<div class="carousel-item">
								<img class="d-block w-100" src="./images/double-cheese.jpg" alt="burger4">
								<div class="carousel-caption d-none d-md-block">
									<h5>Double Cheese</h5>
									<p>Some representative placeholder content for the first slide</p>
								</div>
							</div>
							<!-- fourth image slide -->
						</div>
						<!-- end of carousel inner -->

					</div>
							
				</div>
				<!-- end of carousel -->
					
					<!-- Card -->
					<div class="row">
						<div class="col-12 col-md-4 offset-md-2">
							<div class="card my-3">
								<img class="card-img-top img-fluid" src="./images/bigmac.jpg" alt="bigmac">
							</div>
							<div class="card-body">
								<h5 class="card-title">
									Big Mac Burger
								</h5>
								<p class="card-text">
									Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod
									tempor incididunt ut labore et dolore magna aliqua. 
								</p>
								<a class="btn btn-warning" href="#">
									Go to Cart
								</a>
							</div>
						</div>				
					</div>
					<!-- end of cart -->
					<!-- assignment -->
					<div class="row">
						<!-- first product -->
						<div class="col-12 col-md-3 mt-5">
							<div>
								<img class="card-image-top img-fluid" src="https://i.pinimg.com/474x/d7/80/c0/d780c0561f65363f73bd354c359c71fd.jpg" alt="mob">
							</div>
							
							<div class="card-body p-1">
								<h5 class="card-title">Shigeo Kageyama</h5>
								<p class="card-text">Esper</p>
								<a class="btn btn-primary" href="#">Add to Cart</a>
							</div>
						</div>
						
						<div class="col-12 col-md-3 mt-5">
							<div>
								<img class="card-image-top img-fluid" src="https://styles.redditmedia.com/t5_5k1dp4/styles/profileIcon_38sbysfntqb81.jpg?width=256&height=256&crop=256:256,smart&s=844cca924f0b6040666f73c81a317f241d562dd8" alt="ritsu">
							</div>
							
							<div class="card-body p-1">
								<h5 class="card-title">Ritsu Kageyama</h5>
								<p class="card-text">Esper</p>
								<a class="btn btn-primary" href="#">Add to Cart</a>
							</div>
						</div>
						<div class="col-12 col-md-3 mt-5">
							<div>
								<img class="card-image-top img-fluid" src="https://64.media.tumblr.com/a904470f960ae11aefd4f7941038bf26/d54c37168096a601-1b/s400x600/aef621986acfaf825174070c75d282408ca64343.jpg" alt="ritsu">
							</div>
							
							<div class="card-body p-1">
								<h5 class="card-title">Reigen Arataka</h5>
								<p class="card-text">Human</p>
								<a class="btn btn-primary" href="#">Add to Cart</a>
							</div>
						</div>
						<div class="col-12 col-md-3 mt-5">
							<div>
								<img class="card-image-top img-fluid" src="https://styles.redditmedia.com/t5_30pkgg/styles/profileIcon_apy71v17a0j51.jpg?width=256&height=256&crop=256:256,smart&s=07ff99e005948fe050cedd672500970646450eac" alt="reigen">
							</div>
							
							<div class="card-body p-1">
								<h5 class="card-title">Teruki Hanazawa</h5>
								<p class="card-text">Esper</p>
								<a class="btn btn-primary" href="#">Add to Cart</a>
							</div>
						</div>
						<div class="col-12 col-md-3 mt-5">
							<div>
								<img class="card-image-top img-fluid" src="https://styles.redditmedia.com/t5_2n0qb6/styles/communityIcon_c06rt10tbwj81.jpg?width=256&s=fcda78c44282a10dd74ebd6f81209b637bd5b5b2" alt="saitama">
							</div>
							
							<div class="card-body p-1">
								<h5 class="card-title">Saitama</h5>
								<p class="card-text">God</p>
								<a class="btn btn-primary" href="#">Add to Cart</a>
							</div>
						</div>
						<div class="col-12 col-md-3 mt-5">
							<div>
								<img class="card-image-top img-fluid" src="https://avatarfiles.alphacoders.com/130/130165.png" alt="genos">
							</div>
							
							<div class="card-body p-1">
								<h5 class="card-title">Genos</h5>
								<p class="card-text">Cyborg</p>
								<a class="btn btn-primary" href="#">Add to Cart</a>
							</div>
						</div>
						<div class="col-12 col-md-3 mt-5">
							<div>
								<img class="card-image-top img-fluid" src="https://a.wattpad.com/useravatar/TheIrishMadMan.256.795187.jpg" alt="garou">
							</div>
							
							<div class="card-body p-1">
								<h5 class="card-title">Garou</h5>
								<p class="card-text">Human</p>
								<a class="btn btn-primary" href="#">Add to Cart</a>
							</div>
						</div>
						<div class="col-12 col-md-3 mt-5">
							<div>
								<img class="card-image-top img-fluid" src="https://styles.redditmedia.com/t5_2fhva7/styles/profileIcon_ooqwj4uobv881.jpg?width=256&height=256&crop=256:256,smart&s=c8223e163e20d9db28d6bcce5c89396705162f90" alt="tatsumaki">
							</div>
							
							<div class="card-body p-1">
								<h5 class="card-title">Tatsumaki</h5>
								<p class="card-text">Esper</p>
								<a class="btn btn-primary" href="#">Add to Cart</a>
							</div>
						</div>

					</div>
					<!-- assignment end -->
			</div>
		</div>
	</div>
	<!-- Assignment
	Create product line using cards
		- with image
		- product name (card title)
		- product description (card text) 
		- anchor button for Go to cart
	- 4 products per row
		- 2 row (8 products)
	 -->

	<!-- js dependencies -->
	<script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
	<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/js/bootstrap.bundle.min.js" integrity="sha384-fQybjgWLrvvRgtW6bFlB7jaZrFsaBXjsOMm/tB9LTS58ONXgqbR9W8oWht/amnpF" crossorigin="anonymous"></script>
</body>
</html>